
Role Shift - Bug #2097

Redmine 1.4.3 Installation

31 Aug 2012 21:10 - Mike S

Status: Closed Start date: 31 Aug 2012

Priority: Normal Due date: 07 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0b   

Redmine version: 1.4.x External issue:  

Description

Plugin errors on 1.4.3 when attempting to enable on a project. Redmine log follows:

Processing ProjectsController#settings (for 192.168.192.222 at 2012-08-31 17:05:18) [GET]

Parameters: {“controller"⇒“projects”, “action"⇒“settings”, “id"⇒“requestracker”}

Rendering template within layouts/base

Rendering projects/settings

ActionView::TemplateError (No route matches {:controller⇒“role_shifts”, :action⇒“new”, :id⇒#<Project id: 3, name: “Request

Tracker”, description: “”, homepage: “”, is_public: true, parent_id: 4, created_on: “2012-08-29 09:42:48”, updated_on: “2012-08-31

16:36:39”, identifier: “requestracker”, status: 1, lft: 4, rgt: 5>}) on line #51 of

vendor/plugins/role_shift/app/views/projects/settings/_role_shifts.rhtml:

48:

49: <div class=“splitcontentright">

50:   <% if roles.any? && shifts.any? >

51:     < remote_form_for(:role_shift, @role_shift, :url    ⇒ { :controller ⇒ 'role_shifts’, :action ⇒ 'new’, :id ⇒ @project },

52:                                                  :method ⇒ :post) do |f| %>

53:       <fieldset class=“tabular">

54:         <legend><%= l(:label_role_shift_new) %></legend>

/usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:420:in `generate'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:218:in `rewrite_path'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:197:in `rewrite_url'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:175:in `rewrite'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:625:in `url_for'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/url_helper.rb:85:in `send'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/url_helper.rb:85:in `url_for'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/prototype_helper.rb:467:in `remote_function'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/prototype_helper.rb:337:in `form_remote_tag'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/prototype_helper.rb:394:in `remote_form_for'

    vendor/plugins/role_shift/app/views/projects/settings/_role_shifts.rhtml:51:in `_run_rhtml_ven

dor47plugins47role_shift47app47views47projects47settings47_role_shifts46rhtml_locals_object_role_s

hifts_tab'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `send'

Associated revisions

Revision 8 - 07 Jan 2013 11:57 - Andriy Lesyuk

Added routes for Redmine 1.4.x (#2097), fixes for Redmine 2.x (#2112), French translation (#2096, thanks Florent!) and Turkish translation (#2059,

thanks Ismail!)

History

#1 - 26 Nov 2012 21:50 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 06 Jan 2013 23:53 - Andriy Lesyuk
- Target version set to 0.1.0b

#3 - 07 Jan 2013 12:09 - Andriy Lesyuk

- Due date set to 07 Jan 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100
